Open CASCADE Technology: BRepBuilderAPI_VertexInspector Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
BRepBuilderAPI_VertexInspector Class Reference

Class BRepBuilderAPI_VertexInspector derived from NCollection_CellFilter_InspectorXYZ This class define the Inspector interface for CellFilter algorithm, working with gp_XYZ points in 3d space. Used in search of coincidence points with a certain tolerance. More...

`#include <BRepBuilderAPI_VertexInspector.hxx>`

Inheritance diagram for BRepBuilderAPI_VertexInspector:
[legend]

## Public Types
typedef Standard_Integer | Target
Public Types inherited from NCollection_CellFilter_InspectorXYZ
enum | { Dimension = 3 }
| Points dimension. More...
typedef gp_XYZ | Point
| Points type. More...

## Public Member Functions
| BRepBuilderAPI_VertexInspector (const Standard_Real theTol)
| Constructor; remembers the tolerance. More...
void | Add (const gp_XYZ &thePnt)
| Keep the points used for comparison. More...
void | ClearResList ()
| Clear the list of adjacent points. More...
void | SetCurrent (const gp_XYZ &theCurPnt)
| Set current point to search for coincidence. More...
const TColStd_ListOfInteger & | ResInd ()
| Get list of indexes of points adjacent with the current. More...
NCollection_CellFilter_Action | Inspect (const Standard_Integer theTarget)
| Implementation of inspection method. More...
Public Member Functions inherited from NCollection_CellFilter_InspectorXYZ
Point | Shift (const Point &thePnt, Standard_Real theTol) const
| Auxiliary method to shift point by each coordinate on given value; useful for preparing a points range for Inspect with tolerance. More...

## Additional Inherited Members
Static Public Member Functions inherited from NCollection_CellFilter_InspectorXYZ
static Standard_Real | Coord (int i, const Point &thePnt)
| Access to co-ordinate. More...

## Detailed Description

Class BRepBuilderAPI_VertexInspector derived from NCollection_CellFilter_InspectorXYZ This class define the Inspector interface for CellFilter algorithm, working with gp_XYZ points in 3d space. Used in search of coincidence points with a certain tolerance.

## Member Typedef Documentation

typedef Standard_Integer BRepBuilderAPI_VertexInspector::Target

## Constructor & Destructor Documentation

BRepBuilderAPI_VertexInspector::BRepBuilderAPI_VertexInspector | ( | const Standard_Real | theTol | ) |
| inline

Constructor; remembers the tolerance.

## Member Function Documentation

void BRepBuilderAPI_VertexInspector::Add | ( | const gp_XYZ & | thePnt | ) |
| inline

Keep the points used for comparison.

void BRepBuilderAPI_VertexInspector::ClearResList | ( |  | ) |
| inline

Clear the list of adjacent points.

NCollection_CellFilter_Action BRepBuilderAPI_VertexInspector::Inspect | ( | const Standard_Integer | theTarget | ) |

Implementation of inspection method.

const TColStd_ListOfInteger& BRepBuilderAPI_VertexInspector::ResInd | ( |  | ) |
| inline

Get list of indexes of points adjacent with the current.

void BRepBuilderAPI_VertexInspector::SetCurrent | ( | const gp_XYZ & | theCurPnt | ) |
| inline

Set current point to search for coincidence.

The documentation for this class was generated from the following file:

- BRepBuilderAPI_VertexInspector.hxx